---
title: Window.ondevicelight
slug: Web/API/Window/ondevicelight
tags:
  - API
  - Ambient Light Events
  - Experimental
  - NeedsMarkupWork
  - Property
  - Reference
---
<div>{{obsolete_header}}</div>

<p>Specifies an event listener to receive {{event("devicelight")}} events. These events occur when the device's light level sensor detects a change in the intensity of the ambient light level.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.ondevicelight = <var>funcRef</var></pre>

<p>Where <code><em>funcRef</em></code> is a function to be called when the {{event("devicelight")}} event occurs. These events are of type {{domxref("DeviceLightEvent")}}.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.ondevicelight")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("devicelight")}}</li>
 <li>{{domxref("DeviceLightEvent")}}</li>
 <li><a href="/en-US/docs/Web/API/DeviceLightEvent/Using_light_events">Using Light Events</a></li>
</ul>
